setNatGatewayDescription

Prev Next

Available in VPC

Edit the NAT Gateway instance description by specifying the NAT Gateway instance number.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/setNatGatewayDescription
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the NAT Gateway instance whose description you want to edit
natGatewayInstanceNo String Required Number of NAT Gateway instance whose description you want to edit
natGatewayDescription String Optional Description of NAT Gateway you want to edit (byte)
  • 0-1000
output String Optional Format of the response result
  • xml | json (default)

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNatGatewayDescription
?regionCode=KR
&natGatewayInstanceNo=***38
&natGatewayDescription=test-description' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NatGatewayInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<setNatGatewayDescriptionResponse>
  <requestId>664d591b-3089-4df8-b962-ef00a5171165</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <natGatewayInstanceList>
    <natGatewayInstance>
      <vpcNo>***36</vpcNo>
      <vpcName>normal-***</vpcName>
      <natGatewayInstanceNo>*****9288</natGatewayInstanceNo>
      <natGatewayName>public-***</natGatewayName>
      <publicIp>***.***.153.178</publicIp>
      <natGatewayInstanceStatus>
        <code>RUN</code>
        <codeName>RUN status</codeName>
      </natGatewayInstanceStatus>
      <natGatewayInstanceStatusName>Running</natGatewayInstanceStatusName>
      <natGatewayInstanceOperation>
        <code>NULL</code>
        <codeName>NULL OP</codeName>
      </natGatewayInstanceOperation>
      <createDate>2025-04-25T14:19:32+0900</createDate>
      <natGatewayDescription>test-description</natGatewayDescription>
      <zoneCode>KR-1</zoneCode>
      <natGatewayType>
        <code>PBLIP</code>
        <codeName>Public</codeName>
      </natGatewayType>
      <subnetName>public-***</subnetName>
      <subnetNo>***29</subnetNo>
      <privateIp>10.0.1.6</privateIp>
      <publicIpInstanceNo>****290</publicIpInstanceNo>
      <natGatewayIpList>
        <natGatewayIp>
          <type>PRIMARY</type>
          <privateIp>10.0.1.6</privateIp>
          <publicIp>***.***.153.178</publicIp>
          <publicIpInstanceNo>****290</publicIpInstanceNo>
        </natGatewayIp>
        <natGatewayIp>
          <type>SECONDARY</type>
          <privateIp>10.0.1.7</privateIp>
          <publicIp>***.***.109.24</publicIp>
          <publicIpInstanceNo>****805</publicIpInstanceNo>
        </natGatewayIp>
      </natGatewayIpList>
    </natGatewayInstance>
  </natGatewayInstanceList>
</setNatGatewayDescriptionResponse>